NXOpen .NET Reference  12.0.0
Public Member Functions | Properties | List of all members
NXOpen.Features.EmbossTarget Class Reference

Represents a target object. More...

Inheritance diagram for NXOpen.Features.EmbossTarget:

Public Member Functions

unsafe void SetDistance (string distance)
 The distance expression formula string for offset or translation More...
 

Properties

unsafe NXOpen.Expression Distance [get]
 Returns the offset/translate distance More...
 
unsafe NXOpen.ScCollector EndcapFace [get, set]
 Returns or sets the face to produce End-Cap More...
 
unsafe NXOpen.ISurface EndcapPlane [get, set]
 Returns or sets the plane to produce End-Cap More...
 
unsafe bool FlipDirection [get, set]
 Returns or sets the flip flag for translation direction More...
 
unsafe NXOpen.ScCollector TargetFace [get, set]
 Returns or sets the target faces on which the emboss places. More...
 

Detailed Description

Represents a target object.

This class provides methods to set and get the target faces, the End-Cap source entity and offset/translation distance value.

Following are default values and options:

Target Faces User must set it

End-Cap Faces User must set it when End-Cap source option is face.

End-Cap Plane User must set it when End-Cap source option is plane.

End-Cap Translate Direction Flip false

Target Offset/Translate Distance 2.0/5.0[in/mm]

Created in NX4.0.0

Member Function Documentation

unsafe void NXOpen.Features.EmbossTarget.SetDistance ( string  distance)

The distance expression formula string for offset or translation

Created in NX4.0.0

License requirements: solid_modeling ("SOLIDS MODELING")

Parameters
distanceThe distance expression formula string for offset or translation

Property Documentation

unsafe NXOpen.Expression NXOpen.Features.EmbossTarget.Distance
get

Returns the offset/translate distance

Created in NX4.0.0

License requirements: None.

unsafe NXOpen.ScCollector NXOpen.Features.EmbossTarget.EndcapFace
getset

Returns or sets the face to produce End-Cap

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ISurface NXOpen.Features.EmbossTarget.EndcapPlane
getset

Returns or sets the plane to produce End-Cap

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe bool NXOpen.Features.EmbossTarget.FlipDirection
getset

Returns or sets the flip flag for translation direction

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")

unsafe NXOpen.ScCollector NXOpen.Features.EmbossTarget.TargetFace
getset

Returns or sets the target faces on which the emboss places.

Created in NX4.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING")


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.